---
title: "Google Finance API: Search | Perceptlayer"
description: "Search from Google Finance as JSON. 1 credit per successful call."
url: https://perceptlayer.com/apis/google-finance/search
---

[APIs](https://perceptlayer.com/apis) / [Google Finance](https://perceptlayer.com/apis/google-finance) / Search

# Google Finance: Search

Search from Google Finance as JSON. 1 credit per successful call.

GET `/v1/google-finance/search`

## Parameters

Send parameters in the query string.

| Parameter | Type | Required | Allowed values |
| --- | --- | --- | --- |
| `q` | string | Required | Up to 255 characters |
| `hl` | string | Optional | Up to 10 characters |
| `gl` | string | Optional | Up to 10 characters |

## Example request

cURL shell 

```
curl "https://api.perceptlayer.com/v1/google-finance/search?q=AAPL&hl=en&gl=us" \
  -H "X-API-Key: $API_KEY"
```

[Run this endpoint in the playground](https://perceptlayer.com/apis/google-finance?try=search#playground) with your own parameters. 1 credit per successful call; failed calls are free.
